Skip to main content
`Ctrl`+`K`

# STSetUp

Prepares for the use of a spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetUp(ST st)

Collective

## Input Parameter

- st - the spectral transformation context

## See Also

ST: Spectral Transformation, `STCreate()`, `STApply()`, `STDestroy()`

## Level

advanced

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STSetUp_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STSetUp_Precond() in src/sys/classes/st/impls/precond/precond.c
STSetUp_Shift() in src/sys/classes/st/impls/shift/shift.c
STSetUp_Sinvert() in src/sys/classes/st/impls/sinvert/sinvert.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages